curl --request GET \
--url https://api.octav.fi/v1/approvals/{chain} \
--header 'Authorization: Bearer <token>'{
"cursor": "<string>",
"pageSize": 123,
"items": [
{
"block": "<string>",
"timestamp": "<string>",
"hash": "<string>",
"contract": "<string>",
"from": "<string>",
"to": "<string>",
"amount": "<string>",
"asset": {
"name": "<string>",
"symbol": "<string>",
"balance": "<string>",
"price": "<string>",
"value": "<string>",
"decimal": "<string>",
"chain": "<string>",
"contract": "<string>",
"imgSmall": "<string>",
"imgLarge": "<string>"
}
}
]
}Retrieve ERC-20 token approval (allowance) records for a wallet on a given chain.
Cost: 1 credit per call
Get your API key: Dev Portal
curl --request GET \
--url https://api.octav.fi/v1/approvals/{chain} \
--header 'Authorization: Bearer <token>'{
"cursor": "<string>",
"pageSize": 123,
"items": [
{
"block": "<string>",
"timestamp": "<string>",
"hash": "<string>",
"contract": "<string>",
"from": "<string>",
"to": "<string>",
"amount": "<string>",
"asset": {
"name": "<string>",
"symbol": "<string>",
"balance": "<string>",
"price": "<string>",
"value": "<string>",
"decimal": "<string>",
"chain": "<string>",
"contract": "<string>",
"imgSmall": "<string>",
"imgLarge": "<string>"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Chain identifier
arbitrum, avalanche, base, binance, ethereum, fantom, gnosis, linea, optimism, polygon Wallet address to fetch approvals for
Results per page (1-100, default 25)
1 <= x <= 100Cursor string from a previous response to fetch the next page
Was this page helpful?